# Remote Deployment Introduction

<aside class="notifications note">
  <h3><img src="/images/icos/ico-note.svg" alt="">Have you tried deploying a local ECN first?</h3>
  <p>In this guide we assume you are up and running with iofogctl. We recommened going through the <a href=../getting-started/quick-start.html>Quick Start Guide</a> before continuing on here. </p>
</aside>

Edge Compute Networks ('ECNs') are complicated things. They are composed of disparate distributed applications even before you start deploying your own microservices.

Setting up and managing an ECN out of an arbitrary set of remote hosts can seem like a daunting task. Thats why we created `iofogctl`.

`iofogctl` is a CLI that simplifies the orchestration of ECNs as well as the deployment of microservices on those ECNs. In this guide, we will step through the process of creating a real, distributed ECN across a set of remote hosts; all from the comfort of your terminal.

[Continue To Next Step: Prepare Your Remote Hosts](prepare-your-remote-hosts.html).
